# Poco::Net

# class FTPPasswordProvider

Library: Net
Package: FTP
Header: Poco/Net/FTPStreamFactory.h

## Description

The base class for all password providers. An instance of a subclass of this class can be registered with the FTPStreamFactory to provide a password.

## Member Summary

Member Functions: password

## Constructors

### FTPPasswordProvider

FTPPasswordProvider();

## Destructor

### ~FTPPasswordProvider

virtual ~FTPPasswordProvider();

## Member Functions

### password

virtual std::string password(
const std::string & username,
const std::string & host
) = 0;

Provide the password for the given user on the given host.